Subject: RE: [dhcwg] draft-vijay-dhc-dhcpv6-mcast-reconf-01.txt

From: Soohong Daniel Park <[email-masked]>
Date: Thu, 17 Feb 2005 19:32:49 +0900

Catching up an old thread.

> At the dhc WG meeting in DC, the WG was asked to consider
> draft-vijay-dhc-dhcpv6-mcast-reconf-01.txt for acceptance as a WG 
> work item.
> Here are the notes from the WG meeting:
> 
>    Park gave a summary of the draft.  Droms asked why the protocol uses
>    Relay-reply message to notify router (through relay) to toggle
>    'M'/'O' bits; isn't CLI sufficient?  Greg Daley suggested SNMP might
>    be appropriate to cause router to toggle 'M'/'O' bits.  Some
>    additional discussion about whether this mechanism is needed if
>    "Information Refresh Time Option for DHCPv6" is accepted for
>    standards track.  Volz pointed out that "multicast reconfig" is
>    useful for unplanned renumbering.  Park was requested to provide
>    more detail; further discussion will take place on the WG mailing
>    list before coming to a decision about taking this draft on as a WG
>    work item.
> 
> I need to be to be convinced of the need for this mechanism.  If the 
> network is being reconfigured (e.g., the link is renumbered), presumably the 
> router must be accessed to change its configuration.  Seems to me the 
> router could be caused to toggle the 'M'/'O' bits at the same time.  
> Why would a separate message from the DHCP server be required?

As Jinmei indicated earlier, changing from ON to OFF of M/O flags do
not have any effects on a running DHCPv6 process. So we need a 
separate message from the DHCP server to be re-invocated.
Multicast renumbering schme is useful for unplanned renumbering.

I am copying-and-pasting Jinmei's response once more.

Perhaps this is not directly related to this document, but I'd like to
note that toggling the M/O flags may not help here.  In particular,
our current interpretation (as per RFC2462 and now
draft-ietf-ipv6-ra-mo-flags) is that the change from ON to OFF doesn't
have any effects on a running DHCPv6 process.  So, for example, we
cannot expect re-invocation of the process by changing the flag from
ON-to-OFF-to-ON when some network configuration changes.

All comments are highly welcome.

  Daniel (Soohong Daniel Park)
  Mobile Platform Lab., Samsung Electronics.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg